# xoxys.smb

[![Build Status](https://ci.rknet.org/api/badges/ansible/xoxys.smb/status.svg)](https://ci.rknet.org/repos/ansible/xoxys.smb)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.smb/src/branch/main/LICENSE)

Mount a list of Samba shares.

## Table of content

- [Requirements](#requirements)
- [Default Variables](#default-variables)
  - [smb_packages](#smb_packages)
  - [smb_shares](#smb_shares)
- [Dependencies](#dependencies)
- [License](#license)
- [Author](#author)

---

## Requirements

- Minimum Ansible version: `2.10`

## Default Variables

### smb_packages

#### Default value

```YAML
smb_packages:
  - cifs-utils
```

### smb_shares

Mount defined samba shares. You can specify samba credentials with the
`username` and `password` parameter. Given credentials will be used in a secrets file
and saved to `/root/.smbcredentials/<name>` instead of the direct use in `/etc/fstab`.
If secrets are defined for a list item, the secrest file will also be passed automatically
to `mountopts`.

The `state` parameter is related to the possible state values of Ansibles
[mount](https://docs.ansible.com/ansible/latest/collections/ansible/posix/mount_module.html) module.

#### Default value

```YAML
smb_shares: []
```

#### Example usage

```YAML
smb_shares:
  - name: multimedia
    source: //share.example.com/media
    username: myuser
    password: secure
    mountpoint: /media/data
    mountopts:
      - acl
      - uid=1000
      - gid=1000
    state: mounted
```

## Dependencies

None.

## License

MIT

## Author

[Robert Kaussow](https://gitea.rknet.org/xoxys)
